Name:           gstreamer-plugins-fluendo
Version:        0.10
Release:        14%{?dist} 
Summary:        Proprietary gstreamer plugins licensed from Fluendo
URL:		http://www.fluendo.com/products.php?product=plugins
Group:          Applications/Multimedia
License:        Fluendo Commercial, see LICENSE.txt
Source0:	rhel5_gst0.20_fluendo_codecs.tar.bz2
Source1:	LICENSE.txt

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	gstreamer >= 0.10

ExclusiveArch:	%{ix86} x86_64

%description
Proprietary gstreamer plugins licensed from Fluendo 
for "Windows Media" formats.

%prep

%setup -q -n rhel5
cp %{SOURCE1} .

%build

# no point in having empty debuginfo packages
%define debug_package %{nil}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_libdir}/gstreamer-%{version}/

%ifarch %{ix86}
for PLUGIN in `find ./i386/ -name "*.so"` ; do
  install ${PLUGIN} $RPM_BUILD_ROOT/%{_libdir}/gstreamer-%{version}/
done
%else
for PLUGIN in `find ./x86_64 -name "*.so"` ; do
  install ${PLUGIN} $RPM_BUILD_ROOT/%{_libdir}/gstreamer-%{version}/
done
%endif



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_libdir}/gstreamer-%{version}/libgstfluasfdemux.so
%{_libdir}/gstreamer-%{version}/libgstfluwmadec.so
%{_libdir}/gstreamer-%{version}/libgstfluwmvdec.so
%{_libdir}/gstreamer-%{version}/libgstflumms.so

%changelog
* Tue Aug 12 2008 - Bastien Nocera <bnocera@redhat.com> - 0.10-14
- Update to latest build against the new GStreamer version in
  RHEL 5.3

* Thu Jul 17 2008 - Bastien Nocera <bnocera@redhat.com> - 0.10-13
- Update for version coherency

* Wed Jul 16 2008 - Bastien Nocera <bnocera@redhat.com> - 0.10-12
- Update for the latest codecs
Related: rhbz #231840

* Tue May 01 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10-11
- Avoid Source0 being unpacked, as it caused some x86 binaries to
  be installed instead of the x86-64 ones
Related: rhbz #222018 #231840

* Tue May 01 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10-10
- Remove the non-beta WMV decoder and ASF demuxer, otherwise we
  might end up overwriting them during installation
Related: rhbz #222018 #231840

* Thu Mar 15 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10-9
- Update the WMV dec and ASF demuxer to the current betas
Related: rhbz #222018

* Mon Mar 12 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10-8
- Update to the first non-beta version of the codecs (#231840)

* Sat Nov 18 2006 Matthias Clasen <mclasen@redhat.com> - 0.10-7
- Split into mp3, video and windowmedia

* Fri Nov 17 2006 Matthias Clasen <mclasen@redhat.com> - 0.10-6
- don't generate debuginfo packages  (#211634)

* Mon Nov 13 2006 John (J5) Palmieri <johnp@redhat.com> - 0.10-5
- update mp3, wma, wmv, asf and mms plugins
- add mpegdemux, mp4isodemux, mpeg2, mpeg4 and rtp plugins

* Tue Aug 22 2006 John (J5) Palmieri <johnp@redhat.com> - 0.10-4
- Update the asfdemux and wmvdec plugins
- Add the mms plugin

* Wed Jun 21 2006 John (J5) Palmieri <johnp@redhat.com> - 0.10-3
- Add updated WMV plugins

* Fri Jun 09 2006 John (J5) Palmieri <johnp@redhat.com> - 0.10-2
- Add the URL tag pointing to fluendo's plugins page
- Add FIXME for adding a license to the docs when we get the final one
  from Fluendo

* Tue Jun 06 2006 John (J5) Palmieri <johnp@redhat.com> - 0.10-1
- Initial package of the Fluendo plugins
